Click here to monitor SSC
SQLServerCentral is supported by Redgate
 
Log in  ::  Register  ::  Not logged in
 
 
 


The component metadata for the script component could not be upgraded to the newer version of the...


The component metadata for the script component could not be upgraded to the newer version of the component

Author
Message
thirumurugan_888
thirumurugan_888
Forum Newbie
Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)Forum Newbie (2 reputation)

Group: General Forum Members
Points: 2 Visits: 274
Hi ,

I have developed SSIS Package in 2008r2 and when i am trying to run the DTSX package in SQL 2012, am getting error like'The component metadata for the script component could not be upgraded to the newer version of the component'. We have to verify this in two ways,

one is either it may be proplem with ssis version or else .net version mismatch.

i wrote a script component code in .net2.0 version and am trying to run that in .net 4.0 version in SSIS Package.

Could you please help me in this problem.

Thanks & Regards,
Thiru.
Orlando Colamatteo
Orlando Colamatteo
SSCrazy Eights
SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)SSCrazy Eights (8.2K reputation)

Group: General Forum Members
Points: 8243 Visits: 14368
It means your 2008 Package cannot be automatically upgraded to 2012 format on the fly before executing. You'll need to manually upgrade the Package to 2012 format and address any issues during that process and save it in 2012 format. Then you will be able to execute the Package in 2012.

__________________________________________________________________________________________________
There are no special teachers of virtue, because virtue is taught by the whole community. --Plato
Go


Permissions

You can't post new topics.
You can't post topic replies.
You can't post new polls.
You can't post replies to polls.
You can't edit your own topics.
You can't delete your own topics.
You can't edit other topics.
You can't delete other topics.
You can't edit your own posts.
You can't edit other posts.
You can't delete your own posts.
You can't delete other posts.
You can't post events.
You can't edit your own events.
You can't edit other events.
You can't delete your own events.
You can't delete other events.
You can't send private messages.
You can't send emails.
You can read topics.
You can't vote in polls.
You can't upload attachments.
You can download attachments.
You can't post HTML code.
You can't edit HTML code.
You can't post IFCode.
You can't post JavaScript.
You can post emoticons.
You can't post or upload images.

Select a forum

































































































































































SQLServerCentral


Search